## nixnote2 2.0~beta11

=== debian/changelog ===
nixnote2 (2.0~beta11-1) unstable; urgency=medium

  * New upstream release.
  * Switch back to build with Qt5 as upstream recommends.
    - Refresh patch about qevercloud library.
  * No longer mark as +dfsg, all files are dfsg compatible.
    - Drop old patch 0001 for README.txt, upstream has refreshed it.
    - Drop old patch 0003 for purple-theme, licensed under GPL-2+.
    - Update watch file.
    - Update README.source.
  * Cherry-pick several upstream commits.
    - Add patch 0002 for switching default notebook.
    - Add patch 0003 to fix the bug about tagging with Qt5.
    - Add patch 0004 to fix the bug about searching "-" in a note.

 -- Boyuan Yang <073plan@gmail.com>  Fri, 13 Jan 2017 11:38:04 +0800

nixnote2 (2.0~beta10+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #609849)

 -- Boyuan Yang <073plan@gmail.com>  Mon, 14 Nov 2016 16:37:20 +0800
