=== debian/control ===
Source: nixnote2
Section: utils
Priority: optional
Maintainer: Boyuan Yang <073plan@gmail.com>
Build-Depends:
 debhelper (>= 10),
 default-jdk,
 javahelper,
 libavcodec-dev,
 libavformat-dev,
 libboost-dev,
 libcurl4-openssl-dev | libcurl-dev | libcurl4-nss-dev | libcurl4-gnutls-dev,
 libhunspell-dev,
 libpoppler-qt5-dev,
 libqt5webkit5-dev,
 libswscale-dev,
 qt5-qmake,
 qt5qevercloud-dev,
 qtbase5-dev,
 qttools5-dev-tools,
Standards-Version: 3.9.8
Homepage: http://nevernote.sourceforge.net
Vcs-Git: https://anonscm.debian.org/git/collab-maint/nixnote2.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/nixnote2.git

Package: nixnote2
Architecture: any
Depends:
 tidy,
 ${java:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 mimetex,
 ${java:Recommends},
Suggests:
 cups,
Description: Open Source Evernote client
 NixNote is a client for the Evernote service (www.evernote.com).  It
 will allow synchronization and editing of notes from your local
 system.
 .
 Once known as "NeverNote", this software was rewritten in C++/Qt to
 provide a native user experience.
