## nixnote2 2.0

=== debian/changelog ===
nixnote2 (2.0-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <073plan@gmail.com>  Fri, 23 Jun 2017 22:57:30 +0800

nixnote2 (2.0-1~exp1) experimental; urgency=medium

  * New upstream stable release.
  * Update Homepage URL to use nixnote.org.
  * Refresh d/copyright information.
  * Refresh patches:
    + Drop old patches 0002-0004, applied upstream.
    + Cherry-pick upstream patch for command line import.
    + Cherry-pick upstream patch for plugin-path finding.

 -- Boyuan Yang <073plan@gmail.com>  Mon, 08 May 2017 15:24:22 +0800
