=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
  qtbase5-dev,
  qttools5-dev-tools,
 Standards-Version: 3.9.8
-Homepage: http://nevernote.sourceforge.net
+Homepage: http://nixnote.org
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/nixnote2.git
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/nixnote2.git
