## nixnote2 2.0.2

=== debian/changelog ===
nixnote2 (2.0.2-2build1) bionic; urgency=medium

  * No-change rebuild against libcurl4

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 28 Feb 2018 08:37:51 +0000

nixnote2 (2.0.2-2) unstable; urgency=high

  * Add missing dependency libqt5sql5-sqlite. (Closes: #878185)
  * Bump Standards-Version to 4.1.1.

 -- Boyuan Yang <073plan@gmail.com>  Thu, 12 Oct 2017 10:19:07 +0800

nixnote2 (2.0.2-1) unstable; urgency=medium

  * New upstream release.
    + Force UTF-8 encoding by default. (Closes: #864978)
  * Refresh patches.
  * Bump Standard-Version to 4.1.0.

 -- Boyuan Yang <073plan@gmail.com>  Tue, 26 Sep 2017 10:59:29 +0800
