=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: nixnote2
 Section: utils
 Priority: optional
-Maintainer: Boyuan Yang <073plan@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Boyuan Yang <073plan@gmail.com>
 Build-Depends:
  debhelper (>= 10),
  default-jdk,
@@ -18,7 +19,7 @@
  qt5qevercloud-dev,
  qtbase5-dev,
  qttools5-dev-tools,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: http://nixnote.org
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/nixnote2.git
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/nixnote2.git
@@ -27,6 +28,7 @@
 Architecture: any
 Depends:
  tidy,
+ libqt5sql5-sqlite,
  ${java:Depends},
  ${misc:Depends},
  ${shlibs:Depends},
