=== debian/rules ===
--- 
+++ 
@@ -27,6 +27,10 @@
 override_jh_build:
 	jh_build -N --main=cx.fbn.encrypt.Crypto --javacopts="-source 1.6 -target 1.6"
 
+# set prefix during configure
+override_dh_auto_configure:
+	dh_auto_configure PREFIX=/usr --
+
 # handle changelog.txt manually since dh_installchangelogs won't do
 # that automatically
 override_dh_installchangelogs:
