=== debian/watch ===
version=4
opts="dversionmangle=s/(\+\d*)?\+dfsg\d*$//,pgpmode=none,uversionmangle=s/-beta/~beta/" https://github.com/baumgarr/nixnote2/tags /.*/.*/.*/v?(.+)\.tar\.gz debian uupdate
