## nixnote2 2.1.1

=== debian/changelog ===
nixnote2 (2.1.1-0.1~mx17+1) mx; urgency=medium

  * New upstream release, build for MX 17.
  * Drop all patches, fixed in this release.
  * Disable automatic dbgsym packages.
  * Revert to debhelper compat 10 to ease backports.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 13 Dec 2018 18:04:41 -0800

nixnote2 (2.1.1~git20181202-1) unstable; urgency=medium

  * New upstream snapshot 2018-12-02.
  * Upload onto unstable.
  * debian/patches:
    - Drop all patches, merged upstream.
    + Add patch to install correct upstream changelog.
  * debian/README.source: Removed since it is useless.
  * debian/README.Debian: Removed, upstream is not shipping
    plugins now.
  * debian/control:
    + Set Rules-Requires-Root: no.
    + Build-depends on debhelper-compat instead of setting
      debian/compat.

 -- Boyuan Yang <byang@debian.org>  Mon, 03 Dec 2018 11:21:03 -0500

nixnote2 (2.1.0-1) experimental; urgency=medium

  * Switch to new upstream with 2.1.0 release.
  * debian/control:
    + Drop java build-dependencies.
    + Update Homepage field.
  * debian/rules:
    + Restore minimal build script.

 -- Boyuan Yang <byang@debian.org>  Mon, 26 Nov 2018 14:33:02 -0500

nixnote2 (2.0.2-4) unstable; urgency=medium

  * Rebuild against gcc 8.2.
  * debian/control:
    + Update my maintainer email address and use @debian.org one.
    + Bump Standards-Version to 4.2.1 (no changes needed).
  * debian/rules: Use "dh_missing --fail-missing".

 -- Boyuan Yang <byang@debian.org>  Wed, 07 Nov 2018 18:11:54 -0500

nixnote2 (2.0.2-3) unstable; urgency=medium

  * Backport patches from upstream trunk.
  * Use builtin evernote qt bindings again.
  * Bump Standards-Version to 4.1.4 (no changes needed).
  * Migrate to Salsa platform for Vcs fields.
  * Bump debhelper compat version to v11.

 -- Boyuan Yang <073plan@gmail.com>  Wed, 09 May 2018 21:55:09 +0800
