## nixnote2 2.1.1+git20181211

=== debian/changelog ===
nixnote2 (2.1.1+git20181211-1) unstable; urgency=medium

  * New upstream git snapshot 20181211.
    + Replace non-free icon with a GPL-3-licensed one.
      (Closes: #916219)
  * debian/patches:
    - Drop merged patches.
  * debian/copyright:
    + Update copyright for icons.

 -- Boyuan Yang <byang@debian.org>  Tue, 11 Dec 2018 16:02:23 -0500

nixnote2 (2.1.1-1) unstable; urgency=medium

  * New upstream version 2.1.1
  * debian/patches:
    - Remove merged patches.
    + Backport upstream patch to use correct QMAKE_STRIP.
      (Closes: #915590)
  * debian/maintscript:
    + Add a maintscript file to handle symlink_to_dir.
      (Closes: # 915587)

 -- Boyuan Yang <byang@debian.org>  Fri, 07 Dec 2018 22:55:04 -0500
