=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: nixnote2
 Section: utils
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Boyuan Yang <byang@debian.org>
+Maintainer: Boyuan Yang <byang@debian.org>
 Build-Depends:
- debhelper (>= 10~),
+ debhelper-compat (= 11),
  libavcodec-dev,
  libavformat-dev,
  libboost-dev,
@@ -13,7 +12,7 @@
  libpoppler-qt5-dev,
  libqt5webkit5-dev,
  libswscale-dev,
- libtidy-dev (>= 5.6),
+ libtidy-dev,
  pkg-config,
  qt5-qmake,
  qtbase5-dev,
