=== debian/watch ===
version=4
opts="uversionmangle=s/-/~/" \
 https://github.com/robert7/nixnote2/tags /.*/.*/.*/v(.+)\.tar\.gz debian uupdate
