## nixnote2 2.1.2

=== debian/changelog ===
nixnote2 (2.1.2-1) unstable; urgency=medium

  * New upstream release 2.1.2.
  * debian/control:
    + Bump debhelper compat to v12.
    + Bump Standards-Version to 4.3.0.

 -- Boyuan Yang <byang@debian.org>  Wed, 02 Jan 2019 22:21:55 -0500

nixnote2 (2.1.1+git20181215-1) unstable; urgency=medium

  * New upstream git snapshot 20181215.

 -- Boyuan Yang <byang@debian.org>  Sun, 16 Dec 2018 23:54:58 -0500
