## nixnote2 2.1.3+dfsg1

=== debian/changelog ===
nixnote2 (2.1.3+dfsg1-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/control: Bump Standards-Version to 4.4.0.

 -- Boyuan Yang <byang@debian.org>  Sun, 07 Jul 2019 12:58:00 -0400

nixnote2 (2.1.3+dfsg1-1) experimental; urgency=medium

  * New upstream release 2.1.3.
  * dfsg: Remove webpages provided in testsrc/testdata/; those HTML
    contents are taken from some random websites and they are not
    DFSG-compatible.
  * debian/watch: Apply dfsg-related watch rules.

 -- Boyuan Yang <byang@debian.org>  Mon, 06 May 2019 14:37:29 -0400
