=== debian/changelog ===
nixnote2 (2.1.4+dfsg1-1) unstable; urgency=medium

  * New upstream release 2.1.4.
  * debian/copyright: Refresh information.

 -- Boyuan Yang <byang@debian.org>  Tue, 20 Aug 2019 15:32:17 -0400
