## nixnote2 2.1.5+dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -207,6 +207,7 @@
         src/utilities/noteindexer.cpp
         src/utilities/nuuid.cpp
         src/utilities/pixelconverter.cpp
+        src/utilities/NixnoteStringUtils.cpp
         src/watcher/filewatcher.cpp
         src/watcher/filewatchermanager.cpp
         src/xml/batchimport.cpp
@@ -312,5 +313,3 @@
         src/gui/favoritesviewitem.h
         src/gui/findreplace.h
         src/gui/flowlayout.h
-        src/gui/imagedelegate.h
-        src/gui/lineedit.h
