=== debian/changelog ===
nixnote2 (2.1.5+dfsg1-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:20:43 +0100

nixnote2 (2.1.5+dfsg1-1) unstable; urgency=medium

  * New upstream release 2.1.5.
  * debian/control:
    + Bump Standards-Version to 4.4.1.

 -- Boyuan Yang <byang@debian.org>  Mon, 21 Oct 2019 11:33:28 -0400
