=== debian/rules ===
--- 
+++ 
@@ -13,11 +13,5 @@
 %:
 	dh $@ --buildsystem=qmake
 
-override_dh_auto_configure:
-	dh_auto_configure -- PREFIX=/usr
-
 override_dh_missing:
 	dh_missing --fail-missing
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
