## nixnote2 2.1.6+dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -159,15 +159,15 @@
         src/oauth/oauthtokenizer.cpp
         src/oauth/oauthwindow.cpp
         src/hunspell/spellchecker.cpp
-        src/qevercloud/AsyncResult.cpp
-        src/qevercloud/EventLoopFinisher.cpp
-        src/qevercloud/exceptions.cpp
-        src/qevercloud/generated/constants.cpp
-        src/qevercloud/generated/services.cpp
-        src/qevercloud/generated/types.cpp
-        src/qevercloud/http.cpp
-        src/qevercloud/oauth.cpp
-        src/qevercloud/services_nongenerated.cpp
+        src/qevercloud/QEverCloud/src/AsyncResult.cpp
+        src/qevercloud/QEverCloud/src/EventLoopFinisher.cpp
+        src/qevercloud/QEverCloud/src/exceptions.cpp
+        src/qevercloud/QEverCloud/src/generated/constants.cpp
+        src/qevercloud/QEverCloud/src/generated/services.cpp
+        src/qevercloud/QEverCloud/src/generated/types.cpp
+        src/qevercloud/QEverCloud/src/http.cpp
+        src/qevercloud/QEverCloud/src/oauth.cpp
+        src/qevercloud/QEverCloud/src/services_nongenerated.cpp
         src/reminders/reminderevent.cpp
         src/reminders/remindermanager.cpp
         src/settings/accountsmanager.cpp
@@ -309,7 +309,3 @@
         src/gui/datedelegate.h
         src/gui/externalbrowse.h
         src/gui/favoritesview.h
-        src/gui/favoritesviewdelegate.h
-        src/gui/favoritesviewitem.h
-        src/gui/findreplace.h
-        src/gui/flowlayout.h
