=== src/qevercloud/CMakeLists.txt ===
--- 
+++ 
@@ -1,23 +1,25 @@
 cmake_minimum_required(VERSION 2.8.11)
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/QEverCloud/cmake/modules")
+set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/QEverCloud/cmake/modules/sanitizers")
+
 include(QEverCloudCMakePolicies)
 SET_POLICIES()
 
 if("${CMAKE_MAJOR_VERSION}" GREATER "2")
   project(QEverCloud
-          VERSION 4.0.0)
+          VERSION 4.1.0)
 else()
   project(QEverCloud)
   set(PROJECT_VERSION_MAJOR "4")
-  set(PROJECT_VERSION_MINOR "0")
+  set(PROJECT_VERSION_MINOR "1")
   set(PROJECT_VERSION_PATCH "0")
   set(PROJECT_VERSION_COUNT 3)
   set(PROJECT_VERSION "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}")
 endif()
 
 set(PROJECT_VENDOR "Dmitry Ivanov")
-set(PROJECT_COPYRIGHT_YEAR "2015-2016")
+set(PROJECT_COPYRIGHT_YEAR "2015-2018")
 set(PROJECT_DOMAIN_FIRST "qevercloud")
 set(PROJECT_DOMAIN_SECOND "com")
 set(PROJECT_DOMAIN "${PROJECT_DOMAIN_FIRST}.${PROJECT_DOMAIN_SECOND}")
@@ -48,12 +50,14 @@
 endif()
 
 include(QEverCloudCompilerSettings)
+
+set(BUILD_WITH_QT4 OFF CACHE BOOL "Build against Qt4 instead of Qt5")
 include(QEverCloudSetupQt)
 
-if(USE_QT5)
+if(BUILD_WITH_QT4)
+  set(QEVERCLOUD_QT_VERSION "qt4")
+else()
   set(QEVERCLOUD_QT_VERSION "qt5")
-else()
-  set(QEVERCLOUD_QT_VERSION "qt4")
 endif()
 
 if(NOT CMAKE_INSTALL_LIBDIR)
@@ -110,7 +114,15 @@
 configure_file(QEverCloud/cmake/modules/QEverCloudConfigVersion.cmake.in
   ${PROJECT_BINARY_DIR}/QEverCloud-${QEVERCLOUD_QT_VERSION}ConfigVersion.cmake @ONLY)
 
-if(USE_QT5)
+if(BUILD_WITH_QT4)
+  if(BUILD_WITH_OAUTH_SUPPORT)
+    file(COPY QEverCloud/cmake/modules/QEverCloudFindQt4DependenciesWithWebKit.cmake DESTINATION ${PROJECT_BINARY_DIR})
+    file(RENAME ${PROJECT_BINARY_DIR}/QEverCloudFindQt4DependenciesWithWebKit.cmake ${PROJECT_BINARY_DIR}/QEverCloud-${QEVERCLOUD_QT_VERSION}FindQtDependencies.cmake)
+  else()
+    file(COPY QEverCloud/cmake/modules/QEverCloudFindQt4Dependencies.cmake DESTINATION ${PROJECT_BINARY_DIR})
+    file(RENAME ${PROJECT_BINARY_DIR}/QEverCloudFindQt4Dependencies.cmake ${PROJECT_BINARY_DIR}/QEverCloud-${QEVERCLOUD_QT_VERSION}FindQtDependencies.cmake)
+  endif()
+else()
   file(COPY QEverCloud/cmake/modules/QEverCloudFindQt5DependenciesCore.cmake DESTINATION ${PROJECT_BINARY_DIR})
   file(RENAME ${PROJECT_BINARY_DIR}/QEverCloudFindQt5DependenciesCore.cmake ${PROJECT_BINARY_DIR}/QEverCloud-${QEVERCLOUD_QT_VERSION}FindQtDependencies.cmake)
 
@@ -126,15 +138,9 @@
       file(APPEND ${PROJECT_BINARY_DIR}/QEverCloud-${QEVERCLOUD_QT_VERSION}FindQtDependencies.cmake "${WEBENGINE_CORE_DEPS_FILE}")
     endif()
   endif()
-else()
-  if(BUILD_WITH_OAUTH_SUPPORT)
-    file(COPY QEverCloud/cmake/modules/QEverCloudFindQt4DependenciesWithWebKit.cmake DESTINATION ${PROJECT_BINARY_DIR})
-    file(RENAME ${PROJECT_BINARY_DIR}/QEverCloudFindQt4DependenciesWithWebKit.cmake ${PROJECT_BINARY_DIR}/QEverCloud-${QEVERCLOUD_QT_VERSION}FindQtDependencies.cmake)
-  else()
-    file(COPY QEverCloud/cmake/modules/QEverCloudFindQt4Dependencies.cmake DESTINATION ${PROJECT_BINARY_DIR})
-    file(RENAME ${PROJECT_BINARY_DIR}/QEverCloudFindQt4Dependencies.cmake ${PROJECT_BINARY_DIR}/QEverCloud-${QEVERCLOUD_QT_VERSION}FindQtDependencies.cmake)
-  endif()
 endif()
+
+find_package(Sanitizers)
 
 set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
 enable_testing()
