=== debian/changelog ===
nixnote2 (2.1.6+dfsg1-1) unstable; urgency=medium

  * new upstream release 2.1.6.
  * debian/control:
    + Bump debhelper compat to v13.
  
  [ Debian Janitor ]
  * debian/upstream/metadata: Add missing metadata.

 -- Boyuan Yang <byang@debian.org>  Wed, 06 May 2020 10:24:12 -0400
