=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Boyuan Yang <byang@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  libavcodec-dev,
  libavformat-dev,
  libboost-dev,
@@ -17,7 +17,7 @@
  qt5-qmake,
  qtbase5-dev,
  qttools5-dev-tools,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/robert7/nixnote2
 Vcs-Git: https://salsa.debian.org/debian/nixnote2.git
