## nixnote2 2.1.7~git20220718+dfsg1

=== debian/changelog ===
nixnote2 (2.1.7~git20220718+dfsg1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Remove constraints unnecessary since buster:
    + Remove 1 maintscript entries from 1 files.

  [ Boyuan Yang ]
  * Update standards version to 4.6.1, no changes needed.
  * New upstream snapshot.
  * debian/copyright: refresh information.

 -- Boyuan Yang <byang@debian.org>  Tue, 01 Nov 2022 14:00:35 -0400
