=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  qt5-qmake,
  qtbase5-dev,
  qttools5-dev-tools,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/robert7/nixnote2
 Vcs-Git: https://salsa.debian.org/debian/nixnote2.git
