## nixnote2 2.1.9+dfsg1

=== debian/changelog ===
nixnote2 (2.1.9+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 13 Jun 2023 11:32:35 -0400

nixnote2 (2.1.8+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 18 Apr 2023 10:41:56 -0400
